> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a report

> Creates a new report. Requires project_id and quantification_methodology_id.



## OpenAPI

````yaml POST /reports
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /reports:
    post:
      summary: Create a report
      description: >-
        Creates a new report. Requires project_id and
        quantification_methodology_id.
      operationId: create-report
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                report:
                  type: object
                  required:
                    - project_id
                    - quantification_methodology_id
                  properties:
                    project_id:
                      type: integer
                      description: Project ID
                    quantification_methodology_id:
                      type: integer
                      description: Quantification methodology ID
                    name:
                      type: string
                      description: >-
                        Custom report name (defaults to "<project> - Output
                        Report")
                    batch_ids:
                      type: array
                      description: Array of batch friendly IDs to include
                      items:
                        type: string
            examples:
              Request Example:
                value:
                  report:
                    project_id: 123
                    quantification_methodology_id: 1
                    name: Q1 2025 Carbon Report
                    batch_ids:
                      - bat_abc123def456
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: rpt_abc123def456
                    name: Q1 2025 Carbon Report
                    report_type: quarterly
                    status: draft
                    project_id: 123
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T10:00:00.000Z'
                    inclusions: []
                    allocation: null
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  report_type:
                    type: string
                  status:
                    type: string
                  project_id:
                    type: integer
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  inclusions:
                    type: array
                    items:
                      type: object
                  allocation:
                    type: object
                    nullable: true
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Project is required
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````